Subject: Re: bug#44983: Truncate long lines of grep output

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 29 Apr 2022 14:41:49 +0200

Eli Zaretskii <[email-masked]> writes:

>> I thought I remembered there was a way to say to font-lock "ignore this
>> bit of the buffer", but I can't find it now.  Do I misremember?
>
> Make the text invisible?

The text is covered by a display property, which should be much the same
thing. 

> If that doesn't help either, I suggest to profile the code, because it
> could be the slow display is due to something else.

Hm, yes...  even if I disable font-lock-mode, it's still slow.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no